Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007247OCamldocumentationpublic2016-05-02 18:382018-09-12 10:00
Reporterrbonichon 
Assigned Tooctachron 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.03.0 
Target VersionFixed in Version4.08.0+dev 
Summary0007247: Compiler internals exported as standard library modules in documentation
DescriptionIt seems as if too many modules were exported for the documentation of 4.03 of the new release. I am not sure it qualifies as a bug but it does not feel right to me.

Comparing
http://caml.inria.fr/pub/docs/manual-ocaml-4.02/libref/index.html [^]

with
http://caml.inria.fr/pub/docs/manual-ocaml-4.03/libref/ [^]

gives an idea of the differences.

For example, I am not sure one wants Identifiable or Syntaxerr to be documented in libref.

If they indeed must be exported, it might be better to show these modules on another dedicated page.
TagsNo tags attached.
Attached Files

- Relationships
related to 0007825resolvedoctachron In the manual, some beginners think that the compiler-libs modules are part of the standard library 

-  Notes
(0015891)
gasche (administrator)
2016-05-02 20:51

I agree this looks like a bug, and Damien might want to fix this relatively soon.
(0017857)
doligez (administrator)
2017-06-09 12:36

This libref/index.html file contains not only the stdlib but also all the otherlibs, and (now) the compiler-libs.

Note that AFAIK it isn't part of the documentation proper, since it isn't linked from the main documentation.

At any rate, this change was introduced by @gasche in commit fd21a80a so I'll let you guys decide whether it's a bug and how to fix it.
(0019363)
octachron (developer)
2018-09-12 10:00

The PR, https://github.com/ocaml/ocaml/pull/2017, [^] split the index between compilerlibref/index.html (for compiler-libs) and libref/index.html. The reported issue shoud thus be fixed in the next release of the manual.

- Issue History
Date Modified Username Field Change
2016-05-02 18:38 rbonichon New Issue
2016-05-02 20:51 gasche Note Added: 0015891
2016-05-02 20:51 gasche Assigned To => doligez
2016-05-02 20:51 gasche Status new => confirmed
2016-05-03 11:32 doligez Target Version => 4.03.1+dev
2017-02-16 14:00 doligez Target Version 4.03.1+dev => undecided
2017-02-23 16:07 doligez Target Version undecided => 4.05.0 +dev/beta1/beta2/beta3/rc1
2017-02-23 16:35 doligez Category OCaml documentation => Documentation
2017-02-23 16:44 doligez Category Documentation => documentation
2017-06-09 12:36 doligez Note Added: 0017857
2017-06-09 12:36 doligez Status confirmed => feedback
2017-06-09 12:36 doligez Target Version 4.05.0 +dev/beta1/beta2/beta3/rc1 =>
2017-06-09 12:36 doligez Assigned To doligez => gasche
2018-07-18 21:06 octachron Relationship added related to 0007825
2018-09-12 10:00 octachron Note Added: 0019363
2018-09-12 10:00 octachron Status feedback => resolved
2018-09-12 10:00 octachron Fixed in Version => 4.08.0+dev
2018-09-12 10:00 octachron Resolution open => fixed
2018-09-12 10:00 octachron Assigned To gasche => octachron


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker